Bug 528045

Summary: pbs_sched: Cannot assign requested address (99) in main, bind
Product: [Fedora] Fedora Reporter: Joe Krahn <krahn>
Component: torqueAssignee: Steve Traylen <steve.traylen>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 14   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-16 18:19:49 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Joe Krahn 2009-10-08 13:31:10 EDT
Description of problem:
When the pbs_sched service starts, it fails with the error message:
pbs_sched: Cannot assign requested address (99) in main, bind

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. enable pbs services (probably machine-dependent; see Additional Info)
2.
3.
  
Actual results:
pbs_sched: Cannot assign requested address (99) in main, bind

Expected results:
successful startup

Additional info:
If I start the service manually, it succeeds. I get that same error message if attempting to start pbs_sched with the network down. It seems to be a race condition with activation of the the network interface. The machine is connected to managed switches, which might cause a small delay.

One solution would be to start pbs_sched via a backgrounded script that waits for the network. However, the other network services, such as pbs_server or httpd, are not affected. Maybe pbs_sched is just missing the capability of waiting for the network?
Comment 1 Joe Krahn 2009-10-08 15:33:59 EDT
Checking ports with netstat, I realized that pbs_sched binds to the LAN address, but the other PBS services bind to 0.0.0.0, so they only need 127.0.0.1 up when they start. I configured httpd to specifically bind the LAN address, and it then also fails on boot. So, the problem seems to be with network startup. Maybe it is a race condition related to the machine having 8 CPU cores.

In any case, is it intentional that pbs_sched binds to the host IP, and the other two just bind to the wildcard 0.0.0.0?
Comment 2 Bug Zapper 2010-04-28 06:45:15 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora Admin XMLRPC Client 2010-06-07 13:04:54 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Bug Zapper 2010-07-30 06:45:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Steve Traylen 2010-10-14 15:37:03 EDT
I confirm this is still the case with 2.5.2 as well.

I've opened an upstream bug.

http://www.clusterresources.com/bugzilla/show_bug.cgi?id=88
Comment 6 Fedora End Of Life 2012-08-16 18:19:51 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping